org.icefaces.ace.util

## Class Utils

- java.lang.Object
- - org.icefaces.ace.util.Utils

-     public class Utils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `asParameterString(java.util.List<javax.faces.component.UIParameter> children)` Return the name value pairs parameters as a ANSI escaped string formatted in query string parameter format only if the UIParameter is not disable.
    `static java.lang.String[]` | `asStringArray(java.util.List<javax.faces.component.UIParameter> children)` Return the name value pairs parameters as a comma separated list.
    `static java.util.List<javax.faces.component.UIParameter>` | `captureParameters(javax.faces.component.UIComponent component)` Capture UIParameter (f:param) children of a component generally a UICommand
    `static void` | `decodeBehavior(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `static javax.faces.component.UIComponent` | `findForm(javax.faces.component.UIComponent uiComponent)`
    `static javax.faces.component.UIComponent` | `findNamingContainer(javax.faces.component.UIComponent uiComponent)`
    `static javax.faces.component.UIForm` | `findParentForm(javax.faces.component.UIComponent comp)`
    `static org.icefaces.util.ClientDescriptor` | `getClientDescriptor()`
    `static javax.servlet.http.HttpServletRequest` | `getRequest(javax.faces.context.FacesContext facesContext)`
    `static java.lang.String` | `getSessionIdCookie()`
    `static java.lang.String` | `getSessionIdCookie(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `iterateEffects(AnimationBehavior.Iterator iterator)`
    `static void` | `renderChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent child)`
    `static void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `static boolean` | `superValueIfSet(javax.faces.component.UIComponent component, javax.faces.component.StateHelper sh, java.lang.String attName, boolean superValue, boolean defaultValue)`
    `static void` | `writeConcatenatedStyleClasses(javax.faces.context.ResponseWriter writer, java.lang.String[] componentClasses, java.lang.String applicationClass, boolean disabled)`
    `static void` | `writeConcatenatedStyleClasses(javax.faces.context.ResponseWriter writer, java.lang.String componentClass, java.lang.String applicationClass)`
    `static void` | `writeConcatenatedStyleClasses(javax.faces.context.ResponseWriter writer, java.lang.String componentClass, java.lang.String applicationClass, boolean disabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### renderChildren

          public static void renderChildren(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent component)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderChild

          public static void renderChild(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIComponent child)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### findNamingContainer

          public static javax.faces.component.UIComponent findNamingContainer(javax.faces.component.UIComponent uiComponent)

    - #### findForm

          public static javax.faces.component.UIComponent findForm(javax.faces.component.UIComponent uiComponent)

    - #### findParentForm

          public static javax.faces.component.UIForm findParentForm(javax.faces.component.UIComponent comp)

    - #### decodeBehavior

          public static void decodeBehavior(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent uiComponent)

    - #### iterateEffects

          public static boolean iterateEffects(AnimationBehavior.Iterator iterator)

    - #### writeConcatenatedStyleClasses

          public static void writeConcatenatedStyleClasses(javax.faces.context.ResponseWriter writer,
                                                           java.lang.String componentClass,
                                                           java.lang.String applicationClass)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeConcatenatedStyleClasses

          public static void writeConcatenatedStyleClasses(javax.faces.context.ResponseWriter writer,
                                                           java.lang.String componentClass,
                                                           java.lang.String applicationClass,
                                                           boolean disabled)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeConcatenatedStyleClasses

          public static void writeConcatenatedStyleClasses(javax.faces.context.ResponseWriter writer,
                                                           java.lang.String[] componentClasses,
                                                           java.lang.String applicationClass,
                                                           boolean disabled)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### captureParameters

          public static java.util.List<javax.faces.component.UIParameter> captureParameters(javax.faces.component.UIComponent component)

      Capture UIParameter (f:param) children of a component generally a UICommand
      Parameters:
        `component` - The component to work from
      Returns:
        List of UIParameter objects, null if no UIParameter children present

    - #### asParameterString

          public static java.lang.String asParameterString(java.util.List<javax.faces.component.UIParameter> children)

      Return the name value pairs parameters as a ANSI escaped string formatted in query string parameter format only if the UIParameter is not disable. TODO: determine the correct escaping here
      Parameters:
        `children` - List of children
      Returns:
        a String in the form name1=value1&name2=value2...

    - #### asStringArray

          public static java.lang.String[] asStringArray(java.util.List<javax.faces.component.UIParameter> children)

      Return the name value pairs parameters as a comma separated list. This is simpler for passing to the javascript parameter rebuilding code.
      Parameters:
        `children` - List of children
      Returns:
        a String in the form name1, value1, name2, value2...

    - #### superValueIfSet

          public static boolean superValueIfSet(javax.faces.component.UIComponent component,
                                                javax.faces.component.StateHelper sh,
                                                java.lang.String attName,
                                                boolean superValue,
                                                boolean defaultValue)

    - #### getRequest

          public static javax.servlet.http.HttpServletRequest getRequest(javax.faces.context.FacesContext facesContext)

    - #### getClientDescriptor

          public static org.icefaces.util.ClientDescriptor getClientDescriptor()

    - #### getSessionIdCookie

          public static java.lang.String getSessionIdCookie()

    - #### getSessionIdCookie

          public static java.lang.String getSessionIdCookie(javax.faces.context.FacesContext facesContext)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.